#ifndef GTK_MAGIC_CONFIG_H
#define GTK_MAGIC_CONFIG_H

#include <gtk/gtk.h>
#include <gtk/gtkmagic.h>

typedef struct _GtkMagicConfig GtkMagicConfig;

struct _GtkMagicConfig
{
	GtkWidget *widget;
	GtkEntry *preset_entry;
	GtkList *list;
	GtkListItem *focus_item;
	GtkWidget *panel_container;
	GtkWidget *focus_panel;
	
	GtkWidget *config_panel;	/* gtk magic config's panel and intro screen */
	GtkEntry *server_addr_entry;
	
	gchar *username;
	gchar *groupname;
	
	gchar *preset_name;

	gchar *magic_server_addr;	
	gchar *magic_info;
	GList *magic_usercontext_l;
	GList *magic_appcontext_l;
	
	GtkMagic *magic;
};

GtkMagicConfig*	gtk_magic_config_new (gchar *appname);

void		gtk_magic_config_set_server_addr(GtkMagicConfig *config, gchar *server_addr);
void		gtk_magic_config_set_preset (GtkMagicConfig *config, const gchar *in_preset_name);
void		gtk_magic_config_server_config_changed(GtkMagicConfig *config);

GtkWidget*	gtk_magic_config_panel_new(GtkMagicConfig *config);

#endif /* GTK_MAGIC_CONFIG_H */
