#include "gtkconfig.h"

/* publics */

void
gtk_magic_config_set_server_addr(GtkMagicConfig *config, gchar *server_addr)
{
	if ((config->config_panel != NULL) && (config->server_addr_entry != NULL))
	{
		gtk_entry_set_text(config->server_addr_entry, server_addr);
	}

	config->magic_server_addr = server_addr;
	
	gtk_magic_config_server_config_changed(config);
}

/* gui callbacks */

void
server_entry_activated(GtkEntry *entry, gpointer user_data)
{
	GtkMagicConfig *config;
	
	config = user_data;
	
	config->magic_server_addr = g_strdup(gtk_entry_get_text(config->server_addr_entry));
/*	
	if (config->magic != NULL)
	{
		gchar *current_server_addr;
		current_server_addr = config->gtkmagic->magic->serveraddr;	
	
		if (strncmp(text, magic_serveraddr) == 0)
		{
			if (!config->gtkmagic->magic->connected)
				gtk_magic_connect(config->gtkmagic);
			g_free(server_addr);
			return;
		}
	}
*/
	gtk_magic_config_server_config_changed(config);
}

/* constructor */

GtkWidget*
gtk_magic_config_panel_new(GtkMagicConfig *config)
{
	GtkWidget *vbox, *vbox2, *frame, *hbox, *t, *alignment;
	static gchar *config_version_string = NULL;
	
	if (config_version_string == NULL)
		config_version_string = g_strconcat("config-tool Version ", VERSION, NULL);
	
	vbox = gtk_vbox_new(0,0);

		alignment = gtk_alignment_new(0.5,0.5,0.7,0.7);
		frame = gtk_frame_new(NULL);
		vbox2 = gtk_vbox_new(1,0);
		
		t = gtk_label_new("Welcome to GTK+ MAGIC");
		gtk_box_pack_start(GTK_BOX(vbox2), t, 0,0,0);
		gtk_widget_show(t);
		t = gtk_hseparator_new();
		gtk_box_pack_start(GTK_BOX(vbox2), t, 0,0,0);
		gtk_widget_show(t);
		t = gtk_label_new("(c)'99 by plex/TEK!  neoscientists");
		gtk_box_pack_start(GTK_BOX(vbox2), t, 0,0,0);
		gtk_widget_show(t);
		t = gtk_label_new(config_version_string);
		gtk_box_pack_start(GTK_BOX(vbox2), t, 0,0,0);
		gtk_widget_show(t);
	
		gtk_widget_show(vbox2);
		gtk_container_add(GTK_CONTAINER(frame), vbox2);
		gtk_widget_show(frame);
		gtk_container_add(GTK_CONTAINER(alignment), frame);
		gtk_widget_show(alignment);
		
		gtk_box_pack_start(GTK_BOX(vbox), alignment, 1,1,0);
			
	
		alignment = gtk_alignment_new(0.5,0.5,0.7,0.3);	
		hbox = gtk_hbox_new(0,0);
			t = gtk_label_new("GMagic Server Addr");
			gtk_widget_show(t);
			gtk_box_pack_start(GTK_BOX(hbox), t, 0,0,0);
			t = gtk_entry_new();
			gtk_signal_connect(GTK_OBJECT(t), "activate", server_entry_activated, config);
	
			if (config->magic_server_addr != NULL)
				gtk_entry_set_text(GTK_ENTRY(t), config->magic_server_addr);

			config->server_addr_entry = GTK_ENTRY(t);
			gtk_widget_show(t);
			gtk_box_pack_start(GTK_BOX(hbox), t, 1,1,0);
		gtk_widget_show(hbox);
		gtk_container_add(GTK_CONTAINER(alignment), hbox);
		gtk_widget_show(alignment);
		gtk_box_pack_start(GTK_BOX(vbox), alignment, 1,1,0);
			
		
	gtk_widget_show(vbox);	
	
	return vbox;
}
