#include <gtk/gtk.h>
#include "gtkconfig.h"

#include "icon.xpm"

void quit (GtkWidget *widget, gpointer user_data)
{
	gtk_main_quit();
}

int main (int argc, char *argv[])
{
	GtkWidget *window;
	GtkMagicConfig *config;
	gchar *title = "Gtk+ magic config";
	gchar *appname = "<appname>";
	gchar **logo_data;
	GdkPixmap *logo_pixmap;
	GdkBitmap *logo_mask;
	
	gtk_init(&argc, &argv);
	
	window = gtk_window_new(GTK_WINDOW_TOPLEVEL);
	config = gtk_magic_config_new(appname);
	gtk_widget_show(config->widget);
	gtk_container_add(GTK_CONTAINER(window), config->widget);
	gtk_window_set_title(GTK_WINDOW(window), title);
	gtk_window_set_position(GTK_WINDOW(window), GTK_WIN_POS_CENTER);
	gtk_window_set_default_size(GTK_WINDOW(window), 550, 330);
	
	gtk_signal_connect(GTK_OBJECT(window),"destroy", quit, NULL);
	gtk_widget_show(window);
	logo_data = icon_xpm;
	logo_pixmap = gdk_pixmap_create_from_xpm_d (window->window, &logo_mask, 0, logo_data);
	gdk_window_set_icon(window->window, NULL, logo_pixmap, logo_mask);
		
	gtk_main();
	
	return 0;
}
